GrailsTask (Grails 2.4.4)
Date: 2014-10-28

Package: grails.ant

## [Java] Class GrailsTask

- grails.ant.GrailsTask

- Ant task for executing Grails scripts. To use it, first create a task definition for it:

          <path id="grails.classpath">
             <fileset dir="${grails.home}/dist" includes="grails-bootstrap-*.jar"/>
             <fileset dir="${grails.home}/lib">
                <include name="groovy-all*.jar"/>
                <include name="ivy*.jar"/>
                <include name="gant_groovy*.jar"/>
             </fileset>
          </path>

          <taskdef name="grails"
                   classname="grails.ant.GrailsTask"
                   classpathref="grails.classpath"/>

  You must have the "grails-bootstrap", "groovy-all", Ivy, and GPars JARs on the `taskdef`'s classpath, otherwise the task won't load.

  Once the task is defined, you can use it like this:

         <grails home="${grails.home}" script="Clean"/>

  The `home` attribute contains the location of a local Grails installation, while `script` is the name of the Grails script to run. Note that it's the script name not the equivalent command name.

  If you want to use the Ant task without a Grails installation, then you can use the `classpathref` attribute or `classpath` nested element instead of `home`. This allows you to control precisely which JARs and versions are used to execute the Grails scripts. Typically you would use this option in conjunction with something like Ivy.

  ``

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addClasspath(org.apache.tools.ant.types.Path classpath)`
    `void` | `addCompileClasspath(org.apache.tools.ant.types.Path compileClasspath)`
    `void` | `addRuntimeClasspath(org.apache.tools.ant.types.Path runtimeClasspath)`
    `void` | `addTestClasspath(org.apache.tools.ant.types.Path testClasspath)`
    `void` | `execute()`
    `java.lang.String` | `getArgs()`
    `org.apache.tools.ant.types.Path` | `getClasspath()`
    `java.lang.String` | `getCommand()`
    `org.apache.tools.ant.types.Path` | `getCompileClasspath()`
    `java.lang.String` | `getEnvironment()`
    `java.io.File` | `getHome()`
    `org.apache.tools.ant.types.Path` | `getRuntimeClasspath()`
    `java.lang.String` | `getScript()`
    `org.apache.tools.ant.types.Path` | `getTestClasspath()`
    `boolean` | `isIncludeRuntimeClasspath()`
    `protected void` | `runGrails(java.lang.String targetName, java.lang.String args)`
    `void` | `setArgs(java.lang.String args)`
    `void` | `setClasspathRef(org.apache.tools.ant.types.Reference ref)`
    `void` | `setCommand(java.lang.String command)`
    `void` | `setEnvironment(java.lang.String environment)`
    `void` | `setHome(java.io.File home)`
    `void` | `setIncludeRuntimeClasspath(boolean includeRuntimeClasspath)`
    `void` | `setScript(java.lang.String script)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.tools.ant.Task` | `org.apache.tools.ant.Task#log(java.lang.String, int), org.apache.tools.ant.Task#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.String), org.apache.tools.ant.Task#init(), org.apache.tools.ant.Task#getOwningTarget(), org.apache.tools.ant.Task#getTaskType(), org.apache.tools.ant.Task#setTaskType(java.lang.String), org.apache.tools.ant.Task#setTaskName(java.lang.String), org.apache.tools.ant.Task#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.Task#getRuntimeConfigurableWrapper(), org.apache.tools.ant.Task#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.Task#maybeConfigure(), org.apache.tools.ant.Task#reconfigure(), org.apache.tools.ant.Task#perform(), org.apache.tools.ant.Task#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.Task#getTaskName(), org.apache.tools.ant.Task#execute(), org.apache.tools.ant.Task#clone(), org.apache.tools.ant.Task#getLocation(), org.apache.tools.ant.Task#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.Task#getProject(), org.apache.tools.ant.Task#setDescription(java.lang.String), org.apache.tools.ant.Task#getDescription(), org.apache.tools.ant.Task#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.Task#wait(long, int), org.apache.tools.ant.Task#wait(long), org.apache.tools.ant.Task#wait(), org.apache.tools.ant.Task#equals(java.lang.Object), org.apache.tools.ant.Task#toString(), org.apache.tools.ant.Task#hashCode(), org.apache.tools.ant.Task#getClass(), org.apache.tools.ant.Task#notify(), org.apache.tools.ant.Task#notifyAll()`
    `class org.apache.tools.ant.ProjectComponent` | `org.apache.tools.ant.ProjectComponent#clone(), org.apache.tools.ant.ProjectComponent#log(java.lang.String), org.apache.tools.ant.ProjectComponent#log(java.lang.String, int), org.apache.tools.ant.ProjectComponent#getLocation(), org.apache.tools.ant.ProjectComponent#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.ProjectComponent#getProject(), org.apache.tools.ant.ProjectComponent#setDescription(java.lang.String), org.apache.tools.ant.ProjectComponent#getDescription(), org.apache.tools.ant.ProjectComponent#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.ProjectComponent#wait(long, int), org.apache.tools.ant.ProjectComponent#wait(long), org.apache.tools.ant.ProjectComponent#wait(), org.apache.tools.ant.ProjectComponent#equals(java.lang.Object), org.apache.tools.ant.ProjectComponent#toString(), org.apache.tools.ant.ProjectComponent#hashCode(), org.apache.tools.ant.ProjectComponent#getClass(), org.apache.tools.ant.ProjectComponent#notify(), org.apache.tools.ant.ProjectComponent#notifyAll()`

- - ### Method Detail

    - #### public void addClasspath(org.apache.tools.ant.types.Path classpath)

    - #### @java.lang.Deprecated public void addCompileClasspath(org.apache.tools.ant.types.Path compileClasspath)

    - #### @java.lang.Deprecated public void addRuntimeClasspath(org.apache.tools.ant.types.Path runtimeClasspath)

    - #### @java.lang.Deprecated public void addTestClasspath(org.apache.tools.ant.types.Path testClasspath)

    - #### @java.lang.Override public void execute()

    - #### public java.lang.String getArgs()

    - #### public org.apache.tools.ant.types.Path getClasspath()

    - #### public java.lang.String getCommand()

    - #### @java.lang.Deprecated public org.apache.tools.ant.types.Path getCompileClasspath()

    - #### public java.lang.String getEnvironment()

    - #### public java.io.File getHome()

    - #### @java.lang.Deprecated public org.apache.tools.ant.types.Path getRuntimeClasspath()

    - #### public java.lang.String getScript()

    - #### @java.lang.Deprecated public org.apache.tools.ant.types.Path getTestClasspath()

    - #### public boolean isIncludeRuntimeClasspath()

    - #### protected void runGrails(java.lang.String targetName, java.lang.String args)

    - #### public void setArgs(java.lang.String args)

    - #### public void setClasspathRef(org.apache.tools.ant.types.Reference ref)

    - #### public void setCommand(java.lang.String command)

    - #### public void setEnvironment(java.lang.String environment)

    - #### public void setHome(java.io.File home)

    - #### public void setIncludeRuntimeClasspath(boolean includeRuntimeClasspath)

    - #### public void setScript(java.lang.String script)